summaryrefslogtreecommitdiff
path: root/tools/testall
diff options
context:
space:
mode:
authorJohn Denker <jsd@av8n.com>2012-11-23 02:19:53 -0800
committerJohn Denker <jsd@av8n.com>2012-11-23 02:19:53 -0800
commit0dfd3cabf1e7e2bd8d0db7b4588e05af54ce4c05 (patch)
treef774ac8915d0a8a93bb5f6b3cb828be83ae78b94 /tools/testall
parentabc922f8a3f40b5f011cffe5cbe06e2c2df90d02 (diff)
working rather well;
now using 'testall' to test it against thousands of msgs
Diffstat (limited to 'tools/testall')
-rwxr-xr-xtools/testall7
1 files changed, 7 insertions, 0 deletions
diff --git a/tools/testall b/tools/testall
new file mode 100755
index 0000000..e97d853
--- /dev/null
+++ b/tools/testall
@@ -0,0 +1,7 @@
+#! /bin/bash
+
+for file in /home/jsd/Maildir/cur/* ; do
+ echo "**** $file"
+ <$file ./ward -err >/tmp/testall.eml && diff $file /tmp/testall.eml || exit 1
+done
+echo OK